com.sun.grid.jgdi.configuration

## Class JobTaskImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JobTaskImpl

- All Implemented Interfaces:
    GEObject, JobTask, java.io.Serializable, java.lang.Cloneable

      public class JobTaskImpl
      extends GEObjectImpl
      implements JobTask

  Java representation of the cull object JAT_Type defined in sge_all_listsL.template

  Warning: The JobTaskImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTaskImpl()` Create a new instance of JobTaskImpl.
    `JobTaskImpl(boolean initWithDefaultValues)` Create a new instanceof
    `JobTaskImpl(int taskNumber)` Create a new instance of JobTaskImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFinishedTask(FPET afinishedTask)` Add a com.sun.grid.jgdi.configuration.FPET attribute.
    `void` | `addGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Add a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `addMessage(QueueInstanceMessage amessage)` Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `addTask(PETask atask)` Add a com.sun.grid.jgdi.configuration.PETask attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `double` | `getDefaultPreviousUsage()` Get the default value of the attribute previousUsage.
    `double` | `getDefaultReportedUsage()` Get the default value of the attribute reportedUsage.
    `double` | `getDefaultScaledUsage()` Get the default value of the attribute scaledUsage.
    `double` | `getDefaultUsage()` Get the default value of the attribute usage.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `FPET` | `getFinishedTask(int index)` Get a com.sun.grid.jgdi.configuration.FPET attribute at an index.
    `int` | `getFinishedTaskCount()` Get the number of com.sun.grid.jgdi.configuration.FPET attributes.
    `java.util.List<FPET>` | `getFinishedTaskList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.FPET attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `double` | `getFticket()` Get the value of the fticket attribute.
    `JG` | `getGrantedDestinIdentifier(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedDestinIdentifierCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedDestinIdentifierList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getGrantedPe()` Get the value of the grantedPe attribute.
    `int` | `getHold()` Get the value of the hold attribute.
    `int` | `getJobRestarted()` Get the value of the jobRestarted attribute.
    `java.lang.String` | `getMasterQueue()` Get the value of the masterQueue attribute.
    `QueueInstanceMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.util.List<QueueInstanceMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `int` | `getNextPeTaskId()` Get the value of the nextPeTaskId attribute.
    `double` | `getNtix()` Get the value of the ntix attribute.
    `java.lang.String` | `getOsjobid()` Get the value of the osjobid attribute.
    `double` | `getOticket()` Get the value of the oticket attribute.
    `int` | `getPendingSignal()` Get the value of the pendingSignal attribute.
    `int` | `getPendingSignalDeliveryTime()` Get the value of the pendingSignalDeliveryTime attribute.
    `ParallelEnvironment` | `getPeObject()` Get the value of the peObject attribute.
    `int` | `getPid()` Get the value of the pid attribute.
    `double` | `getPreviousUsage(java.lang.String key)` Get the previousUsage attribute for a key.
    `int` | `getPreviousUsageCount()` Get the number of keys which have the attribute previousUsage set.
    `java.util.Set<java.lang.String>` | `getPreviousUsageKeys()` Get the set of keys which have the attribute previousUsage set.
    `double` | `getPrio()` Get the value of the prio attribute.
    `int` | `getPvmCkptPid()` Get the value of the pvmCkptPid attribute.
    `double` | `getReportedUsage(java.lang.String key)` Get the reportedUsage attribute for a key.
    `int` | `getReportedUsageCount()` Get the number of keys which have the attribute reportedUsage set.
    `java.util.Set<java.lang.String>` | `getReportedUsageKeys()` Get the set of keys which have the attribute reportedUsage set.
    `double` | `getScaledUsage(java.lang.String key)` Get the scaledUsage attribute for a key.
    `int` | `getScaledUsageCount()` Get the number of keys which have the attribute scaledUsage set.
    `java.util.Set<java.lang.String>` | `getScaledUsageKeys()` Get the set of keys which have the attribute scaledUsage set.
    `double` | `getShare()` Get the value of the share attribute.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getState()` Get the value of the state attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `double` | `getSticket()` Get the value of the sticket attribute.
    `int` | `getStopInitiateTime()` Get the value of the stopInitiateTime attribute.
    `int` | `getSuitable()` Get the value of the suitable attribute.
    `PETask` | `getTask(int index)` Get a com.sun.grid.jgdi.configuration.PETask attribute at an index.
    `int` | `getTaskCount()` Get the number of com.sun.grid.jgdi.configuration.PETask attributes.
    `java.util.List<PETask>` | `getTaskList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PETask attributes.
    `int` | `getTaskNumber()` Get the value of the taskNumber attribute.
    `double` | `getTix()` Get the value of the tix attribute.
    `double` | `getUsage(java.lang.String key)` Get the usage attribute for a key.
    `int` | `getUsageCount()` Get the number of keys which have the attribute usage set.
    `java.util.Set<java.lang.String>` | `getUsageKeys()` Get the set of keys which have the attribute usage set.
    `int` | `getWallclockLimit()` Get the value of the wallclockLimit attribute.
    `boolean` | `isSetEndTime()` Determine if the endTime attribute is set
    `boolean` | `isSetFinishedTask()` Determine if the finishedTask attribute is set
    `boolean` | `isSetFshare()` Determine if the fshare attribute is set
    `boolean` | `isSetFticket()` Determine if the fticket attribute is set
    `boolean` | `isSetGrantedDestinIdentifier()` Determine if the grantedDestinIdentifier attribute is set
    `boolean` | `isSetGrantedPe()` Determine if the grantedPe attribute is set
    `boolean` | `isSetHold()` Determine if the hold attribute is set
    `boolean` | `isSetJobRestarted()` Determine if the jobRestarted attribute is set
    `boolean` | `isSetMasterQueue()` Determine if the masterQueue attribute is set
    `boolean` | `isSetMessage()` Determine if the message attribute is set
    `boolean` | `isSetNextPeTaskId()` Determine if the nextPeTaskId attribute is set
    `boolean` | `isSetNtix()` Determine if the ntix attribute is set
    `boolean` | `isSetOsjobid()` Determine if the osjobid attribute is set
    `boolean` | `isSetOticket()` Determine if the oticket attribute is set
    `boolean` | `isSetPendingSignal()` Determine if the pendingSignal attribute is set
    `boolean` | `isSetPendingSignalDeliveryTime()` Determine if the pendingSignalDeliveryTime attribute is set
    `boolean` | `isSetPeObject()` Determine if the peObject attribute is set
    `boolean` | `isSetPid()` Determine if the pid attribute is set
    `boolean` | `isSetPreviousUsage()` Determine if any previousUsage attribute is set
    `boolean` | `isSetPreviousUsage(java.lang.String key)` Determine if any previousUsage attribute is for a key is set
    `boolean` | `isSetPrio()` Determine if the prio attribute is set
    `boolean` | `isSetPvmCkptPid()` Determine if the pvmCkptPid attribute is set
    `boolean` | `isSetReportedUsage()` Determine if any reportedUsage attribute is set
    `boolean` | `isSetReportedUsage(java.lang.String key)` Determine if any reportedUsage attribute is for a key is set
    `boolean` | `isSetScaledUsage()` Determine if any scaledUsage attribute is set
    `boolean` | `isSetScaledUsage(java.lang.String key)` Determine if any scaledUsage attribute is for a key is set
    `boolean` | `isSetShare()` Determine if the share attribute is set
    `boolean` | `isSetStartTime()` Determine if the startTime attribute is set
    `boolean` | `isSetState()` Determine if the state attribute is set
    `boolean` | `isSetStatus()` Determine if the status attribute is set
    `boolean` | `isSetSticket()` Determine if the sticket attribute is set
    `boolean` | `isSetStopInitiateTime()` Determine if the stopInitiateTime attribute is set
    `boolean` | `isSetSuitable()` Determine if the suitable attribute is set
    `boolean` | `isSetTask()` Determine if the task attribute is set
    `boolean` | `isSetTaskNumber()` Determine if the taskNumber attribute is set
    `boolean` | `isSetTix()` Determine if the tix attribute is set
    `boolean` | `isSetUsage()` Determine if any usage attribute is set
    `boolean` | `isSetUsage(java.lang.String key)` Determine if any usage attribute is for a key is set
    `boolean` | `isSetWallclockLimit()` Determine if the wallclockLimit attribute is set
    `void` | `putPreviousUsage(java.lang.String key, double value)` Put the attribute previousUsage for a key.
    `void` | `putReportedUsage(java.lang.String key, double value)` Put the attribute reportedUsage for a key.
    `void` | `putScaledUsage(java.lang.String key, double value)` Put the attribute scaledUsage for a key.
    `void` | `putUsage(java.lang.String key, double value)` Put the attribute usage for a key.
    `void` | `removeAllFinishedTask()` Remove all com.sun.grid.jgdi.configuration.FPET attributes.
    `void` | `removeAllGrantedDestinIdentifier()` Remove all com.sun.grid.jgdi.configuration.JG attributes.
    `void` | `removeAllMessage()` Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `void` | `removeAllPreviousUsage()` Remove the attribute previousUsage for all keys.
    `void` | `removeAllReportedUsage()` Remove the attribute reportedUsage for all keys.
    `void` | `removeAllScaledUsage()` Remove the attribute scaledUsage for all keys.
    `void` | `removeAllTask()` Remove all com.sun.grid.jgdi.configuration.PETask attributes.
    `void` | `removeAllUsage()` Remove the attribute usage for all keys.
    `boolean` | `removeFinishedTask(FPET afinishedTask)` Remote a specific com.sun.grid.jgdi.configuration.FPET attribute.
    `FPET` | `removeFinishedTask(int index)` Remote a com.sun.grid.jgdi.configuration.FPET attribute at an index.
    `JG` | `removeGrantedDestinIdentifier(int index)` Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `boolean` | `removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
    `QueueInstanceMessage` | `removeMessage(int index)` Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `boolean` | `removeMessage(QueueInstanceMessage amessage)` Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `java.lang.Double` | `removePreviousUsage(java.lang.String key)` remove the attribute previousUsage for a key.
    `java.lang.Double` | `removeReportedUsage(java.lang.String key)` remove the attribute reportedUsage for a key.
    `java.lang.Double` | `removeScaledUsage(java.lang.String key)` remove the attribute scaledUsage for a key.
    `PETask` | `removeTask(int index)` Remote a com.sun.grid.jgdi.configuration.PETask attribute at an index.
    `boolean` | `removeTask(PETask atask)` Remote a specific com.sun.grid.jgdi.configuration.PETask attribute.
    `java.lang.Double` | `removeUsage(java.lang.String key)` remove the attribute usage for a key.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setFinishedTask(int index, FPET afinishedTask)` Set a com.sun.grid.jgdi.configuration.FPET attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setFticket(double aFticket)` Set the fticket attribute.
    `void` | `setGrantedDestinIdentifier(int index, JG agrantedDestinIdentifier)` Set a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `setGrantedPe(java.lang.String aGrantedPe)` Set the grantedPe attribute.
    `void` | `setHold(int aHold)` Set the hold attribute.
    `void` | `setJobRestarted(int aJobRestarted)` Set the jobRestarted attribute.
    `void` | `setMasterQueue(java.lang.String aMasterQueue)` Set the masterQueue attribute.
    `void` | `setMessage(int index, QueueInstanceMessage amessage)` Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `setNextPeTaskId(int aNextPeTaskId)` Set the nextPeTaskId attribute.
    `void` | `setNtix(double aNtix)` Set the ntix attribute.
    `void` | `setOsjobid(java.lang.String aOsjobid)` Set the osjobid attribute.
    `void` | `setOticket(double aOticket)` Set the oticket attribute.
    `void` | `setPendingSignal(int aPendingSignal)` Set the pendingSignal attribute.
    `void` | `setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)` Set the pendingSignalDeliveryTime attribute.
    `void` | `setPeObject(ParallelEnvironment aPeObject)` Set the peObject attribute.
    `void` | `setPid(int aPid)` Set the pid attribute.
    `void` | `setPrio(double aPrio)` Set the prio attribute.
    `void` | `setPvmCkptPid(int aPvmCkptPid)` Set the pvmCkptPid attribute.
    `void` | `setShare(double aShare)` Set the share attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setSticket(double aSticket)` Set the sticket attribute.
    `void` | `setStopInitiateTime(int aStopInitiateTime)` Set the stopInitiateTime attribute.
    `void` | `setSuitable(int aSuitable)` Set the suitable attribute.
    `void` | `setTask(int index, PETask atask)` Set a com.sun.grid.jgdi.configuration.PETask attribute.
    `void` | `setTaskNumber(int aTaskNumber)` Set the taskNumber attribute.
    `void` | `setTix(double aTix)` Set the tix attribute.
    `void` | `setWallclockLimit(int aWallclockLimit)` Set the wallclockLimit attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JobTaskImpl

          public JobTaskImpl()

      Create a new instance of JobTaskImpl. The new instance will not be initialized with the default values.

    - #### JobTaskImpl

          public JobTaskImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### JobTaskImpl

          public JobTaskImpl(int taskNumber)

      Create a new instance of JobTaskImpl

  - ### Method Detail

    - #### isSetTaskNumber

          public boolean isSetTaskNumber()

      Determine if the taskNumber attribute is set
      Specified by:
        `isSetTaskNumber` in interface `JobTask`
      Returns:
        `true` if the taskNumber attribute is set

    - #### setTaskNumber

          public void setTaskNumber(int aTaskNumber)

      Set the taskNumber attribute.
      Specified by:
        `setTaskNumber` in interface `JobTask`
      Parameters:
        `aTaskNumber` - the new value for the taskNumber attribute

    - #### getTaskNumber

          public int getTaskNumber()

      Get the value of the taskNumber attribute.
      Specified by:
        `getTaskNumber` in interface `JobTask`
      Returns:
        the value of the taskNumber attribute

    - #### isSetStatus

          public boolean isSetStatus()

      Determine if the status attribute is set
      Specified by:
        `isSetStatus` in interface `JobTask`
      Returns:
        `true` if the status attribute is set

    - #### setStatus

          public void setStatus(int aStatus)

      Set the status attribute.
      Specified by:
        `setStatus` in interface `JobTask`
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          public int getStatus()

      Get the value of the status attribute.
      Specified by:
        `getStatus` in interface `JobTask`
      Returns:
        the value of the status attribute

    - #### isSetStartTime

          public boolean isSetStartTime()

      Determine if the startTime attribute is set
      Specified by:
        `isSetStartTime` in interface `JobTask`
      Returns:
        `true` if the startTime attribute is set

    - #### setStartTime

          public void setStartTime(int aStartTime)

      Set the startTime attribute.
      Specified by:
        `setStartTime` in interface `JobTask`
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          public int getStartTime()

      Get the value of the startTime attribute.
      Specified by:
        `getStartTime` in interface `JobTask`
      Returns:
        the value of the startTime attribute

    - #### isSetEndTime

          public boolean isSetEndTime()

      Determine if the endTime attribute is set
      Specified by:
        `isSetEndTime` in interface `JobTask`
      Returns:
        `true` if the endTime attribute is set

    - #### setEndTime

          public void setEndTime(int aEndTime)

      Set the endTime attribute.
      Specified by:
        `setEndTime` in interface `JobTask`
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          public int getEndTime()

      Get the value of the endTime attribute.
      Specified by:
        `getEndTime` in interface `JobTask`
      Returns:
        the value of the endTime attribute

    - #### isSetHold

          public boolean isSetHold()

      Determine if the hold attribute is set
      Specified by:
        `isSetHold` in interface `JobTask`
      Returns:
        `true` if the hold attribute is set

    - #### setHold

          public void setHold(int aHold)

      Set the hold attribute.
      Specified by:
        `setHold` in interface `JobTask`
      Parameters:
        `aHold` - the new value for the hold attribute

    - #### getHold

          public int getHold()

      Get the value of the hold attribute.
      Specified by:
        `getHold` in interface `JobTask`
      Returns:
        the value of the hold attribute

    - #### isSetGrantedPe

          public boolean isSetGrantedPe()

      Determine if the grantedPe attribute is set
      Specified by:
        `isSetGrantedPe` in interface `JobTask`
      Returns:
        `true` if the grantedPe attribute is set

    - #### setGrantedPe

          public void setGrantedPe(java.lang.String aGrantedPe)

      Set the grantedPe attribute.
      Specified by:
        `setGrantedPe` in interface `JobTask`
      Parameters:
        `aGrantedPe` - the new value for the grantedPe attribute

    - #### getGrantedPe

          public java.lang.String getGrantedPe()

      Get the value of the grantedPe attribute.
      Specified by:
        `getGrantedPe` in interface `JobTask`
      Returns:
        the value of the grantedPe attribute

    - #### isSetJobRestarted

          public boolean isSetJobRestarted()

      Determine if the jobRestarted attribute is set
      Specified by:
        `isSetJobRestarted` in interface `JobTask`
      Returns:
        `true` if the jobRestarted attribute is set

    - #### setJobRestarted

          public void setJobRestarted(int aJobRestarted)

      Set the jobRestarted attribute.
      Specified by:
        `setJobRestarted` in interface `JobTask`
      Parameters:
        `aJobRestarted` - the new value for the jobRestarted attribute

    - #### getJobRestarted

          public int getJobRestarted()

      Get the value of the jobRestarted attribute.
      Specified by:
        `getJobRestarted` in interface `JobTask`
      Returns:
        the value of the jobRestarted attribute

    - #### addGrantedDestinIdentifier

          public void addGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Add a com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `addGrantedDestinIdentifier` in interface `JobTask`
      Parameters:
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### setGrantedDestinIdentifier

          public void setGrantedDestinIdentifier(int index,
                                                 JG agrantedDestinIdentifier)

      Set a com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `setGrantedDestinIdentifier` in interface `JobTask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JG attribute
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### removeAllGrantedDestinIdentifier

          public void removeAllGrantedDestinIdentifier()

      Remove all com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `removeAllGrantedDestinIdentifier` in interface `JobTask`

    - #### removeGrantedDestinIdentifier

          public JG removeGrantedDestinIdentifier(int index)

      Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Specified by:
        `removeGrantedDestinIdentifier` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JG attribute or `null` if no attribute at this index is stored

    - #### removeGrantedDestinIdentifier

          public boolean removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `removeGrantedDestinIdentifier` in interface `JobTask`
      Parameters:
        `agrantedDestinIdentifier` - the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JG attribute has been removed

    - #### getGrantedDestinIdentifierList

          public java.util.List<JG> getGrantedDestinIdentifierList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedDestinIdentifierList` in interface `JobTask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedDestinIdentifierCount

          public int getGrantedDestinIdentifierCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedDestinIdentifierCount` in interface `JobTask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedDestinIdentifier

          public JG getGrantedDestinIdentifier(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Specified by:
        `getGrantedDestinIdentifier` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### isSetGrantedDestinIdentifier

          public boolean isSetGrantedDestinIdentifier()

      Determine if the grantedDestinIdentifier attribute is set
      Specified by:
        `isSetGrantedDestinIdentifier` in interface `JobTask`
      Returns:
        `true` if the grantedDestinIdentifier attribute is set

    - #### isSetMasterQueue

          public boolean isSetMasterQueue()

      Determine if the masterQueue attribute is set
      Specified by:
        `isSetMasterQueue` in interface `JobTask`
      Returns:
        `true` if the masterQueue attribute is set

    - #### setMasterQueue

          public void setMasterQueue(java.lang.String aMasterQueue)

      Set the masterQueue attribute.
      Specified by:
        `setMasterQueue` in interface `JobTask`
      Parameters:
        `aMasterQueue` - the new value for the masterQueue attribute

    - #### getMasterQueue

          public java.lang.String getMasterQueue()

      Get the value of the masterQueue attribute.
      Specified by:
        `getMasterQueue` in interface `JobTask`
      Returns:
        the value of the masterQueue attribute

    - #### isSetState

          public boolean isSetState()

      Determine if the state attribute is set
      Specified by:
        `isSetState` in interface `JobTask`
      Returns:
        `true` if the state attribute is set

    - #### setState

          public void setState(int aState)

      Set the state attribute.
      Specified by:
        `setState` in interface `JobTask`
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          public int getState()

      Get the value of the state attribute.
      Specified by:
        `getState` in interface `JobTask`
      Returns:
        the value of the state attribute

    - #### isSetPvmCkptPid

          public boolean isSetPvmCkptPid()

      Determine if the pvmCkptPid attribute is set
      Specified by:
        `isSetPvmCkptPid` in interface `JobTask`
      Returns:
        `true` if the pvmCkptPid attribute is set

    - #### setPvmCkptPid

          public void setPvmCkptPid(int aPvmCkptPid)

      Set the pvmCkptPid attribute.
      Specified by:
        `setPvmCkptPid` in interface `JobTask`
      Parameters:
        `aPvmCkptPid` - the new value for the pvmCkptPid attribute

    - #### getPvmCkptPid

          public int getPvmCkptPid()

      Get the value of the pvmCkptPid attribute.
      Specified by:
        `getPvmCkptPid` in interface `JobTask`
      Returns:
        the value of the pvmCkptPid attribute

    - #### isSetPendingSignal

          public boolean isSetPendingSignal()

      Determine if the pendingSignal attribute is set
      Specified by:
        `isSetPendingSignal` in interface `JobTask`
      Returns:
        `true` if the pendingSignal attribute is set

    - #### setPendingSignal

          public void setPendingSignal(int aPendingSignal)

      Set the pendingSignal attribute.
      Specified by:
        `setPendingSignal` in interface `JobTask`
      Parameters:
        `aPendingSignal` - the new value for the pendingSignal attribute

    - #### getPendingSignal

          public int getPendingSignal()

      Get the value of the pendingSignal attribute.
      Specified by:
        `getPendingSignal` in interface `JobTask`
      Returns:
        the value of the pendingSignal attribute

    - #### isSetPendingSignalDeliveryTime

          public boolean isSetPendingSignalDeliveryTime()

      Determine if the pendingSignalDeliveryTime attribute is set
      Specified by:
        `isSetPendingSignalDeliveryTime` in interface `JobTask`
      Returns:
        `true` if the pendingSignalDeliveryTime attribute is set

    - #### setPendingSignalDeliveryTime

          public void setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)

      Set the pendingSignalDeliveryTime attribute.
      Specified by:
        `setPendingSignalDeliveryTime` in interface `JobTask`
      Parameters:
        `aPendingSignalDeliveryTime` - the new value for the pendingSignalDeliveryTime attribute

    - #### getPendingSignalDeliveryTime

          public int getPendingSignalDeliveryTime()

      Get the value of the pendingSignalDeliveryTime attribute.
      Specified by:
        `getPendingSignalDeliveryTime` in interface `JobTask`
      Returns:
        the value of the pendingSignalDeliveryTime attribute

    - #### isSetPid

          public boolean isSetPid()

      Determine if the pid attribute is set
      Specified by:
        `isSetPid` in interface `JobTask`
      Returns:
        `true` if the pid attribute is set

    - #### setPid

          public void setPid(int aPid)

      Set the pid attribute.
      Specified by:
        `setPid` in interface `JobTask`
      Parameters:
        `aPid` - the new value for the pid attribute

    - #### getPid

          public int getPid()

      Get the value of the pid attribute.
      Specified by:
        `getPid` in interface `JobTask`
      Returns:
        the value of the pid attribute

    - #### isSetOsjobid

          public boolean isSetOsjobid()

      Determine if the osjobid attribute is set
      Specified by:
        `isSetOsjobid` in interface `JobTask`
      Returns:
        `true` if the osjobid attribute is set

    - #### setOsjobid

          public void setOsjobid(java.lang.String aOsjobid)

      Set the osjobid attribute.
      Specified by:
        `setOsjobid` in interface `JobTask`
      Parameters:
        `aOsjobid` - the new value for the osjobid attribute

    - #### getOsjobid

          public java.lang.String getOsjobid()

      Get the value of the osjobid attribute.
      Specified by:
        `getOsjobid` in interface `JobTask`
      Returns:
        the value of the osjobid attribute

    - #### putUsage

          public void putUsage(java.lang.String key,
                               double value)

      Put the attribute usage for a key.

      Specified by:
        `putUsage` in interface `JobTask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultUsage

          public double getDefaultUsage()

      Get the default value of the attribute usage.

      Specified by:
        `getDefaultUsage` in interface `JobTask`
      Returns:
        the default value of the attribute usage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsage

          public double getUsage(java.lang.String key)

      Get the usage attribute for a key.

      Specified by:
        `getUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        the usage attribute for the host or the default value of usage

    - #### removeUsage

          public java.lang.Double removeUsage(java.lang.String key)

      remove the attribute usage for a key.

      Specified by:
        `removeUsage` in interface `JobTask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllUsage

          public void removeAllUsage()

      Remove the attribute usage for all keys.

      Specified by:
        `removeAllUsage` in interface `JobTask`

    - #### getUsageKeys

          public java.util.Set<java.lang.String> getUsageKeys()

      Get the set of keys which have the attribute usage set.
      Specified by:
        `getUsageKeys` in interface `JobTask`
      Returns:
        set of keys

    - #### getUsageCount

          public int getUsageCount()

      Get the number of keys which have the attribute usage set.
      Specified by:
        `getUsageCount` in interface `JobTask`
      Returns:
        the number of keys which have the attribute usage set.

    - #### isSetUsage

          public boolean isSetUsage()

      Determine if any usage attribute is set
      Specified by:
        `isSetUsage` in interface `JobTask`
      Returns:
        `true` if the usage attribute is set

    - #### isSetUsage

          public boolean isSetUsage(java.lang.String key)

      Determine if any usage attribute is for a key is set
      Specified by:
        `isSetUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the usage attribute is set

    - #### putScaledUsage

          public void putScaledUsage(java.lang.String key,
                                     double value)

      Put the attribute scaledUsage for a key.

      Specified by:
        `putScaledUsage` in interface `JobTask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultScaledUsage

          public double getDefaultScaledUsage()

      Get the default value of the attribute scaledUsage.

      Specified by:
        `getDefaultScaledUsage` in interface `JobTask`
      Returns:
        the default value of the attribute scaledUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaledUsage

          public double getScaledUsage(java.lang.String key)

      Get the scaledUsage attribute for a key.

      Specified by:
        `getScaledUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        the scaledUsage attribute for the host or the default value of scaledUsage

    - #### removeScaledUsage

          public java.lang.Double removeScaledUsage(java.lang.String key)

      remove the attribute scaledUsage for a key.

      Specified by:
        `removeScaledUsage` in interface `JobTask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllScaledUsage

          public void removeAllScaledUsage()

      Remove the attribute scaledUsage for all keys.

      Specified by:
        `removeAllScaledUsage` in interface `JobTask`

    - #### getScaledUsageKeys

          public java.util.Set<java.lang.String> getScaledUsageKeys()

      Get the set of keys which have the attribute scaledUsage set.
      Specified by:
        `getScaledUsageKeys` in interface `JobTask`
      Returns:
        set of keys

    - #### getScaledUsageCount

          public int getScaledUsageCount()

      Get the number of keys which have the attribute scaledUsage set.
      Specified by:
        `getScaledUsageCount` in interface `JobTask`
      Returns:
        the number of keys which have the attribute scaledUsage set.

    - #### isSetScaledUsage

          public boolean isSetScaledUsage()

      Determine if any scaledUsage attribute is set
      Specified by:
        `isSetScaledUsage` in interface `JobTask`
      Returns:
        `true` if the scaledUsage attribute is set

    - #### isSetScaledUsage

          public boolean isSetScaledUsage(java.lang.String key)

      Determine if any scaledUsage attribute is for a key is set
      Specified by:
        `isSetScaledUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaledUsage attribute is set

    - #### putReportedUsage

          public void putReportedUsage(java.lang.String key,
                                       double value)

      Put the attribute reportedUsage for a key.

      Specified by:
        `putReportedUsage` in interface `JobTask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultReportedUsage

          public double getDefaultReportedUsage()

      Get the default value of the attribute reportedUsage.

      Specified by:
        `getDefaultReportedUsage` in interface `JobTask`
      Returns:
        the default value of the attribute reportedUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getReportedUsage

          public double getReportedUsage(java.lang.String key)

      Get the reportedUsage attribute for a key.

      Specified by:
        `getReportedUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        the reportedUsage attribute for the host or the default value of reportedUsage

    - #### removeReportedUsage

          public java.lang.Double removeReportedUsage(java.lang.String key)

      remove the attribute reportedUsage for a key.

      Specified by:
        `removeReportedUsage` in interface `JobTask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllReportedUsage

          public void removeAllReportedUsage()

      Remove the attribute reportedUsage for all keys.

      Specified by:
        `removeAllReportedUsage` in interface `JobTask`

    - #### getReportedUsageKeys

          public java.util.Set<java.lang.String> getReportedUsageKeys()

      Get the set of keys which have the attribute reportedUsage set.
      Specified by:
        `getReportedUsageKeys` in interface `JobTask`
      Returns:
        set of keys

    - #### getReportedUsageCount

          public int getReportedUsageCount()

      Get the number of keys which have the attribute reportedUsage set.
      Specified by:
        `getReportedUsageCount` in interface `JobTask`
      Returns:
        the number of keys which have the attribute reportedUsage set.

    - #### isSetReportedUsage

          public boolean isSetReportedUsage()

      Determine if any reportedUsage attribute is set
      Specified by:
        `isSetReportedUsage` in interface `JobTask`
      Returns:
        `true` if the reportedUsage attribute is set

    - #### isSetReportedUsage

          public boolean isSetReportedUsage(java.lang.String key)

      Determine if any reportedUsage attribute is for a key is set
      Specified by:
        `isSetReportedUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the reportedUsage attribute is set

    - #### isSetFshare

          public boolean isSetFshare()

      Determine if the fshare attribute is set
      Specified by:
        `isSetFshare` in interface `JobTask`
      Returns:
        `true` if the fshare attribute is set

    - #### setFshare

          public void setFshare(int aFshare)

      Set the fshare attribute.
      Specified by:
        `setFshare` in interface `JobTask`
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          public int getFshare()

      Get the value of the fshare attribute.
      Specified by:
        `getFshare` in interface `JobTask`
      Returns:
        the value of the fshare attribute

    - #### isSetTix

          public boolean isSetTix()

      Determine if the tix attribute is set
      Specified by:
        `isSetTix` in interface `JobTask`
      Returns:
        `true` if the tix attribute is set

    - #### setTix

          public void setTix(double aTix)

      Set the tix attribute.
      Specified by:
        `setTix` in interface `JobTask`
      Parameters:
        `aTix` - the new value for the tix attribute

    - #### getTix

          public double getTix()

      Get the value of the tix attribute.
      Specified by:
        `getTix` in interface `JobTask`
      Returns:
        the value of the tix attribute

    - #### isSetOticket

          public boolean isSetOticket()

      Determine if the oticket attribute is set
      Specified by:
        `isSetOticket` in interface `JobTask`
      Returns:
        `true` if the oticket attribute is set

    - #### setOticket

          public void setOticket(double aOticket)

      Set the oticket attribute.
      Specified by:
        `setOticket` in interface `JobTask`
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          public double getOticket()

      Get the value of the oticket attribute.
      Specified by:
        `getOticket` in interface `JobTask`
      Returns:
        the value of the oticket attribute

    - #### isSetFticket

          public boolean isSetFticket()

      Determine if the fticket attribute is set
      Specified by:
        `isSetFticket` in interface `JobTask`
      Returns:
        `true` if the fticket attribute is set

    - #### setFticket

          public void setFticket(double aFticket)

      Set the fticket attribute.
      Specified by:
        `setFticket` in interface `JobTask`
      Parameters:
        `aFticket` - the new value for the fticket attribute

    - #### getFticket

          public double getFticket()

      Get the value of the fticket attribute.
      Specified by:
        `getFticket` in interface `JobTask`
      Returns:
        the value of the fticket attribute

    - #### isSetSticket

          public boolean isSetSticket()

      Determine if the sticket attribute is set
      Specified by:
        `isSetSticket` in interface `JobTask`
      Returns:
        `true` if the sticket attribute is set

    - #### setSticket

          public void setSticket(double aSticket)

      Set the sticket attribute.
      Specified by:
        `setSticket` in interface `JobTask`
      Parameters:
        `aSticket` - the new value for the sticket attribute

    - #### getSticket

          public double getSticket()

      Get the value of the sticket attribute.
      Specified by:
        `getSticket` in interface `JobTask`
      Returns:
        the value of the sticket attribute

    - #### isSetShare

          public boolean isSetShare()

      Determine if the share attribute is set
      Specified by:
        `isSetShare` in interface `JobTask`
      Returns:
        `true` if the share attribute is set

    - #### setShare

          public void setShare(double aShare)

      Set the share attribute.
      Specified by:
        `setShare` in interface `JobTask`
      Parameters:
        `aShare` - the new value for the share attribute

    - #### getShare

          public double getShare()

      Get the value of the share attribute.
      Specified by:
        `getShare` in interface `JobTask`
      Returns:
        the value of the share attribute

    - #### isSetSuitable

          public boolean isSetSuitable()

      Determine if the suitable attribute is set
      Specified by:
        `isSetSuitable` in interface `JobTask`
      Returns:
        `true` if the suitable attribute is set

    - #### setSuitable

          public void setSuitable(int aSuitable)

      Set the suitable attribute.
      Specified by:
        `setSuitable` in interface `JobTask`
      Parameters:
        `aSuitable` - the new value for the suitable attribute

    - #### getSuitable

          public int getSuitable()

      Get the value of the suitable attribute.
      Specified by:
        `getSuitable` in interface `JobTask`
      Returns:
        the value of the suitable attribute

    - #### addTask

          public void addTask(PETask atask)

      Add a com.sun.grid.jgdi.configuration.PETask attribute.
      Specified by:
        `addTask` in interface `JobTask`
      Parameters:
        `atask` - the new com.sun.grid.jgdi.configuration.PETask attribute

    - #### setTask

          public void setTask(int index,
                              PETask atask)

      Set a com.sun.grid.jgdi.configuration.PETask attribute.
      Specified by:
        `setTask` in interface `JobTask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PETask attribute
        `atask` - the new com.sun.grid.jgdi.configuration.PETask attribute

    - #### removeAllTask

          public void removeAllTask()

      Remove all com.sun.grid.jgdi.configuration.PETask attributes.
      Specified by:
        `removeAllTask` in interface `JobTask`

    - #### removeTask

          public PETask removeTask(int index)

      Remote a com.sun.grid.jgdi.configuration.PETask attribute at an index.
      Specified by:
        `removeTask` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PETask attribute or `null` if no attribute at this index is stored

    - #### removeTask

          public boolean removeTask(PETask atask)

      Remote a specific com.sun.grid.jgdi.configuration.PETask attribute.
      Specified by:
        `removeTask` in interface `JobTask`
      Parameters:
        `atask` - the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PETask attribute has been removed

    - #### getTaskList

          public java.util.List<PETask> getTaskList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PETask attributes.
      Specified by:
        `getTaskList` in interface `JobTask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PETask attributes

    - #### getTaskCount

          public int getTaskCount()

      Get the number of com.sun.grid.jgdi.configuration.PETask attributes.
      Specified by:
        `getTaskCount` in interface `JobTask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PETask attributes.

    - #### getTask

          public PETask getTask(int index)

      Get a com.sun.grid.jgdi.configuration.PETask attribute at an index.
      Specified by:
        `getTask` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PETask attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PETask attribute

    - #### isSetTask

          public boolean isSetTask()

      Determine if the task attribute is set
      Specified by:
        `isSetTask` in interface `JobTask`
      Returns:
        `true` if the task attribute is set

    - #### addFinishedTask

          public void addFinishedTask(FPET afinishedTask)

      Add a com.sun.grid.jgdi.configuration.FPET attribute.
      Specified by:
        `addFinishedTask` in interface `JobTask`
      Parameters:
        `afinishedTask` - the new com.sun.grid.jgdi.configuration.FPET attribute

    - #### setFinishedTask

          public void setFinishedTask(int index,
                                      FPET afinishedTask)

      Set a com.sun.grid.jgdi.configuration.FPET attribute.
      Specified by:
        `setFinishedTask` in interface `JobTask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.FPET attribute
        `afinishedTask` - the new com.sun.grid.jgdi.configuration.FPET attribute

    - #### removeAllFinishedTask

          public void removeAllFinishedTask()

      Remove all com.sun.grid.jgdi.configuration.FPET attributes.
      Specified by:
        `removeAllFinishedTask` in interface `JobTask`

    - #### removeFinishedTask

          public FPET removeFinishedTask(int index)

      Remote a com.sun.grid.jgdi.configuration.FPET attribute at an index.
      Specified by:
        `removeFinishedTask` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.FPET attribute or `null` if no attribute at this index is stored

    - #### removeFinishedTask

          public boolean removeFinishedTask(FPET afinishedTask)

      Remote a specific com.sun.grid.jgdi.configuration.FPET attribute.
      Specified by:
        `removeFinishedTask` in interface `JobTask`
      Parameters:
        `afinishedTask` - the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.FPET attribute has been removed

    - #### getFinishedTaskList

          public java.util.List<FPET> getFinishedTaskList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.FPET attributes.
      Specified by:
        `getFinishedTaskList` in interface `JobTask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.FPET attributes

    - #### getFinishedTaskCount

          public int getFinishedTaskCount()

      Get the number of com.sun.grid.jgdi.configuration.FPET attributes.
      Specified by:
        `getFinishedTaskCount` in interface `JobTask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.FPET attributes.

    - #### getFinishedTask

          public FPET getFinishedTask(int index)

      Get a com.sun.grid.jgdi.configuration.FPET attribute at an index.
      Specified by:
        `getFinishedTask` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.FPET attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.FPET attribute

    - #### isSetFinishedTask

          public boolean isSetFinishedTask()

      Determine if the finishedTask attribute is set
      Specified by:
        `isSetFinishedTask` in interface `JobTask`
      Returns:
        `true` if the finishedTask attribute is set

    - #### putPreviousUsage

          public void putPreviousUsage(java.lang.String key,
                                       double value)

      Put the attribute previousUsage for a key.

      Specified by:
        `putPreviousUsage` in interface `JobTask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultPreviousUsage

          public double getDefaultPreviousUsage()

      Get the default value of the attribute previousUsage.

      Specified by:
        `getDefaultPreviousUsage` in interface `JobTask`
      Returns:
        the default value of the attribute previousUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPreviousUsage

          public double getPreviousUsage(java.lang.String key)

      Get the previousUsage attribute for a key.

      Specified by:
        `getPreviousUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        the previousUsage attribute for the host or the default value of previousUsage

    - #### removePreviousUsage

          public java.lang.Double removePreviousUsage(java.lang.String key)

      remove the attribute previousUsage for a key.

      Specified by:
        `removePreviousUsage` in interface `JobTask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllPreviousUsage

          public void removeAllPreviousUsage()

      Remove the attribute previousUsage for all keys.

      Specified by:
        `removeAllPreviousUsage` in interface `JobTask`

    - #### getPreviousUsageKeys

          public java.util.Set<java.lang.String> getPreviousUsageKeys()

      Get the set of keys which have the attribute previousUsage set.
      Specified by:
        `getPreviousUsageKeys` in interface `JobTask`
      Returns:
        set of keys

    - #### getPreviousUsageCount

          public int getPreviousUsageCount()

      Get the number of keys which have the attribute previousUsage set.
      Specified by:
        `getPreviousUsageCount` in interface `JobTask`
      Returns:
        the number of keys which have the attribute previousUsage set.

    - #### isSetPreviousUsage

          public boolean isSetPreviousUsage()

      Determine if any previousUsage attribute is set
      Specified by:
        `isSetPreviousUsage` in interface `JobTask`
      Returns:
        `true` if the previousUsage attribute is set

    - #### isSetPreviousUsage

          public boolean isSetPreviousUsage(java.lang.String key)

      Determine if any previousUsage attribute is for a key is set
      Specified by:
        `isSetPreviousUsage` in interface `JobTask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the previousUsage attribute is set

    - #### isSetPeObject

          public boolean isSetPeObject()

      Determine if the peObject attribute is set
      Specified by:
        `isSetPeObject` in interface `JobTask`
      Returns:
        `true` if the peObject attribute is set

    - #### setPeObject

          public void setPeObject(ParallelEnvironment aPeObject)

      Set the peObject attribute.
      Specified by:
        `setPeObject` in interface `JobTask`
      Parameters:
        `aPeObject` - the new value for the peObject attribute

    - #### getPeObject

          public ParallelEnvironment getPeObject()

      Get the value of the peObject attribute.
      Specified by:
        `getPeObject` in interface `JobTask`
      Returns:
        the value of the peObject attribute

    - #### isSetNextPeTaskId

          public boolean isSetNextPeTaskId()

      Determine if the nextPeTaskId attribute is set
      Specified by:
        `isSetNextPeTaskId` in interface `JobTask`
      Returns:
        `true` if the nextPeTaskId attribute is set

    - #### setNextPeTaskId

          public void setNextPeTaskId(int aNextPeTaskId)

      Set the nextPeTaskId attribute.
      Specified by:
        `setNextPeTaskId` in interface `JobTask`
      Parameters:
        `aNextPeTaskId` - the new value for the nextPeTaskId attribute

    - #### getNextPeTaskId

          public int getNextPeTaskId()

      Get the value of the nextPeTaskId attribute.
      Specified by:
        `getNextPeTaskId` in interface `JobTask`
      Returns:
        the value of the nextPeTaskId attribute

    - #### isSetStopInitiateTime

          public boolean isSetStopInitiateTime()

      Determine if the stopInitiateTime attribute is set
      Specified by:
        `isSetStopInitiateTime` in interface `JobTask`
      Returns:
        `true` if the stopInitiateTime attribute is set

    - #### setStopInitiateTime

          public void setStopInitiateTime(int aStopInitiateTime)

      Set the stopInitiateTime attribute.
      Specified by:
        `setStopInitiateTime` in interface `JobTask`
      Parameters:
        `aStopInitiateTime` - the new value for the stopInitiateTime attribute

    - #### getStopInitiateTime

          public int getStopInitiateTime()

      Get the value of the stopInitiateTime attribute.
      Specified by:
        `getStopInitiateTime` in interface `JobTask`
      Returns:
        the value of the stopInitiateTime attribute

    - #### isSetPrio

          public boolean isSetPrio()

      Determine if the prio attribute is set
      Specified by:
        `isSetPrio` in interface `JobTask`
      Returns:
        `true` if the prio attribute is set

    - #### setPrio

          public void setPrio(double aPrio)

      Set the prio attribute.
      Specified by:
        `setPrio` in interface `JobTask`
      Parameters:
        `aPrio` - the new value for the prio attribute

    - #### getPrio

          public double getPrio()

      Get the value of the prio attribute.
      Specified by:
        `getPrio` in interface `JobTask`
      Returns:
        the value of the prio attribute

    - #### isSetNtix

          public boolean isSetNtix()

      Determine if the ntix attribute is set
      Specified by:
        `isSetNtix` in interface `JobTask`
      Returns:
        `true` if the ntix attribute is set

    - #### setNtix

          public void setNtix(double aNtix)

      Set the ntix attribute.
      Specified by:
        `setNtix` in interface `JobTask`
      Parameters:
        `aNtix` - the new value for the ntix attribute

    - #### getNtix

          public double getNtix()

      Get the value of the ntix attribute.
      Specified by:
        `getNtix` in interface `JobTask`
      Returns:
        the value of the ntix attribute

    - #### isSetWallclockLimit

          public boolean isSetWallclockLimit()

      Determine if the wallclockLimit attribute is set
      Specified by:
        `isSetWallclockLimit` in interface `JobTask`
      Returns:
        `true` if the wallclockLimit attribute is set

    - #### setWallclockLimit

          public void setWallclockLimit(int aWallclockLimit)

      Set the wallclockLimit attribute.
      Specified by:
        `setWallclockLimit` in interface `JobTask`
      Parameters:
        `aWallclockLimit` - the new value for the wallclockLimit attribute

    - #### getWallclockLimit

          public int getWallclockLimit()

      Get the value of the wallclockLimit attribute.
      Specified by:
        `getWallclockLimit` in interface `JobTask`
      Returns:
        the value of the wallclockLimit attribute

    - #### addMessage

          public void addMessage(QueueInstanceMessage amessage)

      Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Specified by:
        `addMessage` in interface `JobTask`
      Parameters:
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### setMessage

          public void setMessage(int index,
                                 QueueInstanceMessage amessage)

      Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Specified by:
        `setMessage` in interface `JobTask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### removeAllMessage

          public void removeAllMessage()

      Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Specified by:
        `removeAllMessage` in interface `JobTask`

    - #### removeMessage

          public QueueInstanceMessage removeMessage(int index)

      Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Specified by:
        `removeMessage` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute or `null` if no attribute at this index is stored

    - #### removeMessage

          public boolean removeMessage(QueueInstanceMessage amessage)

      Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Specified by:
        `removeMessage` in interface `JobTask`
      Parameters:
        `amessage` - the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute has been removed

    - #### getMessageList

          public java.util.List<QueueInstanceMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Specified by:
        `getMessageList` in interface `JobTask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes

    - #### getMessageCount

          public int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Specified by:
        `getMessageCount` in interface `JobTask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### getMessage

          public QueueInstanceMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Specified by:
        `getMessage` in interface `JobTask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### isSetMessage

          public boolean isSetMessage()

      Determine if the message attribute is set
      Specified by:
        `isSetMessage` in interface `JobTask`
      Returns:
        `true` if the message attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JobTask`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.